Bug 1411693 - [abrt] cinnamon: g_type_check_instance_cast(): cinnamon killed by SIGSEGV
Summary: [abrt] cinnamon: g_type_check_instance_cast(): cinnamon killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fb36a47e8682d2388188135c134...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 10:12 UTC by s.pashkevich
Modified: 2017-08-08 19:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:33:36 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (48.13 KB, text/plain)
2017-01-10 10:12 UTC, s.pashkevich
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-10 10:12 UTC, s.pashkevich
no flags Details
File: core_backtrace (7.66 KB, text/plain)
2017-01-10 10:12 UTC, s.pashkevich
no flags Details
File: dso_list (22.90 KB, text/plain)
2017-01-10 10:13 UTC, s.pashkevich
no flags Details
File: environ (1.08 KB, text/plain)
2017-01-10 10:13 UTC, s.pashkevich
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-10 10:13 UTC, s.pashkevich
no flags Details
File: maps (149.16 KB, text/plain)
2017-01-10 10:13 UTC, s.pashkevich
no flags Details
File: mountinfo (3.01 KB, text/plain)
2017-01-10 10:13 UTC, s.pashkevich
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-10 10:13 UTC, s.pashkevich
no flags Details
File: open_fds (6.18 KB, text/plain)
2017-01-10 10:13 UTC, s.pashkevich
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-10 10:13 UTC, s.pashkevich
no flags Details
File: var_log_messages (249 bytes, text/plain)
2017-01-10 10:13 UTC, s.pashkevich
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2017-01-10 10:13 UTC, s.pashkevich
no flags Details

Description s.pashkevich 2017-01-10 10:12:49 UTC
Version-Release number of selected component:
cinnamon-3.2.7-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: g_type_check_instance_cast
executable:     /usr/bin/cinnamon
global_pid:     1732
kernel:         4.8.15-200.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4065
 #1 meta_background_actor_set_visible_region at compositor/meta-background-actor.c:592
 #2 meta_background_actor_dispose at compositor/meta-background-actor.c:298
 #4 release_native_object at gi/object.cpp:1108
 #5 object_instance_finalize at gi/object.cpp:1434
 #6 JSObject::finalize at /usr/src/debug/mozjs-24.2.0/js/src/jsobjinlines.h:213
 #7 js::gc::Arena::finalize<JSObject> at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:331
 #8 FinalizeTypedArenas<JSObject>(js::FreeOp *, js::gc::ArenaHeader **, enum js::gc::AllocKind, js::SliceBudget &, js::gc::ArenaList &) at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:395
 #9 FinalizeArenas at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:432
 #10 js::gc::ArenaLists::finalizeNow at /usr/src/debug/mozjs-24.2.0/js/src/jsgc.cpp:1306

Comment 1 s.pashkevich 2017-01-10 10:12:56 UTC
Created attachment 1239030 [details]
File: backtrace

Comment 2 s.pashkevich 2017-01-10 10:12:57 UTC
Created attachment 1239031 [details]
File: cgroup

Comment 3 s.pashkevich 2017-01-10 10:12:59 UTC
Created attachment 1239032 [details]
File: core_backtrace

Comment 4 s.pashkevich 2017-01-10 10:13:01 UTC
Created attachment 1239033 [details]
File: dso_list

Comment 5 s.pashkevich 2017-01-10 10:13:02 UTC
Created attachment 1239034 [details]
File: environ

Comment 6 s.pashkevich 2017-01-10 10:13:05 UTC
Created attachment 1239035 [details]
File: limits

Comment 7 s.pashkevich 2017-01-10 10:13:08 UTC
Created attachment 1239036 [details]
File: maps

Comment 8 s.pashkevich 2017-01-10 10:13:09 UTC
Created attachment 1239037 [details]
File: mountinfo

Comment 9 s.pashkevich 2017-01-10 10:13:10 UTC
Created attachment 1239038 [details]
File: namespaces

Comment 10 s.pashkevich 2017-01-10 10:13:12 UTC
Created attachment 1239039 [details]
File: open_fds

Comment 11 s.pashkevich 2017-01-10 10:13:14 UTC
Created attachment 1239040 [details]
File: proc_pid_status

Comment 12 s.pashkevich 2017-01-10 10:13:15 UTC
Created attachment 1239041 [details]
File: var_log_messages

Comment 13 s.pashkevich 2017-01-10 10:13:17 UTC
Created attachment 1239042 [details]
File: exploitable

Comment 14 Fedora Admin XMLRPC Client 2017-07-06 07:36:05 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Fedora End Of Life 2017-07-26 00:10:46 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-08-08 19:33:36 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.